### Method

# Gsk Transformmatrix

#### Declaration [src]

    GskTransform*
    gsk_transform_matrix (
      GskTransform* next,
      const graphene_matrix_t* matrix
    )

#### Description [src]

Multiplies `next` with the given `matrix`.

#### Parameters

`matrix`

  Type: `graphene_matrix_t`

  The matrix to multiply `next` with.

  The data is owned by the caller of the method.

#### Return value

Type: `GskTransform`

The new transform.

The caller of the method takes ownership of the data, and is responsible for freeing it.